Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
Horse_xd

CHUYỂN HƯỚNG VECTOR CỦA PLINE

Các bài được khuyến nghị

Đã tìm rồi nhưng nó chỉ cho chọn một đối tượng thôi, ý là chọn nhiều đối tượng cùng một lúc, bạn có share giúp mình, thanks!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
56 phút trước, Horse_xd đã nói:

Nhờ ACE giúp lisp chuyển hướng vector của Pline

Quét chọn cùng một lúc hai đối tượng sau đó nhập lệnh lisp và chuyển vector của nó ngược lại, Thanks!

DOI HUONG VEVTOR PLINE.dwg

Đổi hướng vector là đổi chiều pline đó hả, đã có lệnh REVERSE rồi mà?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
1 giờ trước, Horse_xd đã nói:

Nhờ ACE giúp lisp chuyển hướng vector của Pline

Quét chọn cùng một lúc hai đối tượng sau đó nhập lệnh lisp và chuyển vector của nó ngược lại, Thanks!

DOI HUONG VEVTOR PLINE.dwg

Hàng của bạn đây. ^_^

(defun c:reverse_mpline ()
  (if (setq ss (ssget '((0 . "LWPOLYLINE"))))
    (command "_pedit" "M" ss "" "R" "")
    )
  )

 

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay
Đăng nhập để thực hiện theo  

×